#!/bin/bash


# example website pb, euv and q map
prefixes=(
  white_light/images/rainbow_pb_eclipse_2024_master1_earth_apr8_6rs_mhdpowm1p5_standard_annotated
  euv/images/xrttipoly_eclipse_2024_master1_earth_apr8_1.4rs_euv_annotated
  q3d/images/qzoom_eclipse_2024_master1_earth_apr8_1.4rs_q3d_annotated
)

for prefix in ${prefixes[@]}; do
  basename=`basename ${prefix}`
  echo "### Checking for missing frames in:"
  echo "  $prefix"

  for num in `count 1813 1918`; do
    seq=`num2seq -n 6 $num`
    if [ ! -e ${prefix}_${seq}.jpg ]; then
      echo "  $seq  is missing!"
    fi
  done
  echo ""
done

